; Auteur : LSI
; Version de PB : 4
;
; Explication du programme :
; Pour donner une forme spciale  une fentre  partir d'une image qui donne la forme

; Si la librairie SkinWindow n'est pas installe, on met la librairie en include
CompilerIf Defined(SetWindowShape, #PB_Function) = 0
	IncludeFile "SkinWindow.pb"
CompilerEndIf

; Cration de la fentre et de la GadgetList
If OpenWindow(0, 0, 0, 300, 300, "Skin", #PB_Window_BorderLess | #PB_Window_ScreenCentered) = 0
	End
EndIf
; La fentre doit obligatoirement tre avec le style #PB_Window_BorderLess

SetWindowColor(0, RGB(255, 0, 0))

; On cre une image qui va servir de skin (elle doit avoir la taille de la fentre)
CreateImage(0, 300, 300)
StartDrawing(ImageOutput(0))
	; La couleur mauve $FF00FF ou RGB(255, 0, 255) reprsente la partie transparente de la fentre
	Box(250, 0, 50, 30, $FF00FF)
	Circle(200, 200, 50, $FF00FF)
	Circle(250, 230, 50, $FF00FF)
	Ellipse(50, 120, 40, 20, $FF00FF)
	LineXY(50, 50, 250, 100, $FF00FF)
StopDrawing()

Temps = ElapsedMilliseconds()

SetWindowShape(WindowID(0), ImageID(0))

Temps =(ElapsedMilliseconds() - Temps)

; On place un bouton pour quitter
ButtonGadget(0, 0, 0, 100, 25, "Quitter")
; On affichage le temps ncesssaire pour crer le masque
TextGadget(#PB_Any, 0, 25, 100, 15, Str(Temps) + " ms")

Repeat
	Event = WaitWindowEvent()
	
	If Event = #WM_LBUTTONDOWN
		SendMessage_(WindowID(0), #WM_NCLBUTTONDOWN, #HTCAPTION, 0)
	EndIf
	
	If Event = #PB_Event_Gadget
		Select EventGadget() ; boutons, zone de texte, ...
			Case 0 ; On quitte le programme
				Event = #PB_Event_CloseWindow
		EndSelect
	EndIf
	
Until Event = #PB_Event_CloseWindow

End

; jaPBe Version=3.10.8.848
; Build=0
; ProductName=%exe%
; ProductVersion=%date%
; CompanyName=LSI
; FileVersion=%date%
; InternalName=%exe%
; LegalCopyright=LSI
; OriginalFilename=%source%
; Web=http://www.lsi-dev.com
; Language=0x0000 Language Neutral
; FirstLine=10
; CursorPosition=6
; EnableXP
; ExecutableFormat=Windows
; DontSaveDeclare
; EOF