; Auteur : LSI
; Version de PB : 4
;
; Explication du programme :
; Crer une fentre transparente et avec une forme particulirire (la forme est dfinie en rendant totalement transprente une certaine couleur affiche sur la fente)

; Si la librairie SkinWindow n'est pas installe, on met la librairie en include
CompilerIf Defined(SetLayeredWindow, #PB_Function) = 0
	IncludeFile "SkinWindow.pb"
CompilerEndIf

; Cration de la fentre et de la GadgetList
If OpenWindow(0, 0, 0, 300, 300, "Test", #PB_Window_SystemMenu | #PB_Window_ScreenCentered | #PB_Window_MinimizeGadget) = 0
	End
EndIf

; La couleur $FF00FF devient totalement transparente
; Donc si on dessine de la couleur $FF00FF sur la fentre, on fait des trous
; La valeur 200 est l'effet de transparence globale de la fentre, 0 donne invisible, et 255 compltement opaque
SetLayeredWindow(WindowID(0))
SetLayeredWindowAttributes(WindowID(0), 200, $FF00FF)

Repeat
	Event = WaitWindowEvent()
	
	Select Event
		Case #PB_Event_Menu
			Select EventMenu() ; Menus
					
			EndSelect
			
		Case #PB_Event_Gadget
			Select EventGadget() ; Gadgets
					
			EndSelect
			
		Case #WM_MOUSEMOVE
			StartDrawing(WindowOutput(0))
				Circle(WindowMouseX(0), WindowMouseY(0), 8, $FF00FF)
			StopDrawing()
	EndSelect
	
Until Event = #PB_Event_CloseWindow

End
; jaPBe Version=3.10.8.848
; Build=0
; ProductName=%exe%
; ProductVersion=%date%
; CompanyName=LSI
; FileVersion=%date%
; InternalName=%exe%
; LegalCopyright=LSI
; OriginalFilename=%source%
; Web=http://www.lsi-dev.com
; Language=0x0000 Language Neutral
; FirstLine=0
; CursorPosition=0
; EnableXP
; ExecutableFormat=Windows
; DontSaveDeclare
; EOF